body {
  padding: 0;
  margin: 0;
  font-family: "jura";
}

/* jura-regular - latin */
@font-face {
  font-family: 'Jura';
  font-style: normal;
  font-weight: 400;
  src: url('../fonts/jura-v14-latin-regular.eot'); /* IE9 Compat Modes */
  src: local(''),
       url('../fonts/jura-v14-latin-regular.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../fonts/jura-v14-latin-regular.woff2') format('woff2'), /* Super Modern Browsers */
       url('../fonts/jura-v14-latin-regular.woff') format('woff'), /* Modern Browsers */
       url('../fonts/jura-v14-latin-regular.ttf') format('truetype'), /* Safari, Android, iOS */
       url('../fonts/jura-v14-latin-regular.svg#Jura') format('svg'); /* Legacy iOS */
}

#loading-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.loading-overlay-hidden {
  display: none !important;
}

#loading-bar {
  width: 27%;
  height: 2em;
  border-radius: 0.5em;
  background-color: #de2f2f;
  border: 5px solid #de2f2f;
  display: inline-flex;
}

#progress {
  background-color: maroon;
  height: inherit;
  border-radius: inherit;
  border-top-left-radius: 0.4;
  border-bottom-left-radius: 0.4;
  width: 5%;
  display: inline-flex;
}

#percentage {
  background-color: transparent;
  color: darkred;
  font-size: 1.4em;
  font-weight: 600;
  margin: 2em auto;
  display: flex;
  position: absolute;
}
.specification {
  visibility: hidden;
  position: absolute;
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 21.7%;
  margin-top: 14em;
  margin-left: 2.1%;
  border-width: 1px;
  outline: 5px dashed darkred;
  outline-offset: -5px;
  border-radius: 1px;
  font-size: 1.25em;
  font-weight: 500;
  padding: 1em;
  color: #F2E0E0;
  background-color: #DF3A3A;
  text-shadow: 0 0 .21em ghostwhite, 0 0 .4em firebrick;
  animation: spec-anime 500ms cubic-bezier(0.47, 0, 0.745, 0.715) 50ms;
}
@keyframes spec-anime {
  0% { transform: translateX(-300px); }
	100% { transform: translateX(0); }
}

/* Shaft speed */
#speedControls {
    position: fixed;
    top: 82%;
    left: 2%;
    z-index: 1000;

    background: rgba(240, 8, 8, 0.7);
    padding: 10px;
    color: rgb(46, 3, 3);
    font-family: Jura ;
    font-weight: bold;
}

#speedControls label {
    display: block;
    margin-bottom: 10px;
}

#speedControls input {
    width: 200px;
}

#speedControls input[type="range"] {
    width: 200px;
    accent-color: rgb(144, 12, 12);
}
